文档章节

android 导致adb 无法使用error: could not install *smartsocket* listener: cannot bind

神手-追魂
 神手-追魂
发布于 2017/07/13 17:32
字数 168
阅读 4
收藏 0

 在使用android studio 时发现 adb 无法正常使用。
   于是 想重启 adb.exe ,

   直接在DOS里杀掉adb输入:adb kill-server
  再启动输入:adb start-server

  输入 cmd 命令 发现还是不行。

  发现端口被占用 , 在任务栏中找到  2272 的 任务 kill .

  adb 便 恢复了正常使用 :

  操作  如下图:

C:\Users\kelvin>adb kill-server
error: unknown host service

C:\Users\kelvin>adb nodaemon server
error: could not install *smartsocket* listener: cannot bind to 127.0.0.1:5037: 通常每个套接字地址(协议/网络地址/端口)只允许使用一次。 (10048)

C:\Users\kelvin>netstat -ano | findstr "5037"
  TCP    127.0.0.1:5037         0.0.0.0:0              LISTENING       2272

C:\Users\kelvin>

 

本文转载自:http://www.cnblogs.com/kelvinYip/p/5489807.html

共有 人打赏支持
神手-追魂
粉丝 0
博文 30
码字总数 2357
作品 0
苏州
高级程序员
android开发AS开发环境搭建遇到的问题

1,as安装包下载路径,已经集成SDK的工具 , 下载后按照提示安装即可。运行的时候,直接真机测试就好了。 网址 http://www.androiddevtools.cn/ 2 问题。第一次真机测试通过以后,第二次再真...

761218914
2016/08/27
37
0
adb 启动报错

启动genymotion模拟器,打包运行android studio的项目代码,结果报错: adb server version (32) doesn't match this client (35); killing... error: could not install smartsocket listen......

奔跑的野马
2016/03/25
2.4K
2
第一天:环境配置,Hello World

一、 配置环境 Andriod Studio ADT Bundle 包含了Eclipse、ADT插件和SDK Tools,是已经集成好的IDE,只需安装好Jdk即可开始开发,推荐初学者下载ADT Bundle,不用再折腾开发环境。 JDK 二、 ...

字芽
2017/11/06
0
0
linux下搭建Android开发环境

最近几天想玩玩Android开发,于是试着在Linux下装Adroid SDK,无奈,由于Android SDK(ADT)的网站被墙了,不能直接在Eclipse的Install New software里安装,几经折腾,终于在linux下安装好了...

幽鬼
2013/02/28
0
0
ADB无法找到Android设备

1.修改Android SDK的配置,安装Android的usb驱动 a)在Android SDK中下载Android的usb驱动,下好后放在android-sdkextrasgoogleusbdriver目录下 b)打开usbdriver目录下的androidwinusb.inf文件...

TwoZ
2014/08/05
0
0

没有更多内容

加载失败,请刷新页面

加载更多

自定义Ubuntu/Windows双系统引导菜单主题

学习Linux自然少不了要装双系统,其中Ubuntu便是我们用的最多的Linux系统。装完双系统后,Ubuntu会自动生成grub开机引导及菜单,及其丑陋,而且很多我们用不到的选项。今天我们就介绍burg:修...

Linux就该这么学
4分钟前
0
0
Go 并发(二)

Go Mutex 通过Mutex和信道处理竞态条件。 临界区 当程序并发运行时,多个协程不应该同时访问那些修改共享资源的代码,这些修改共享资源的代码称为临界区。 Go中通过Mutex可以避免同时访问临界...

春哥大魔王的博客
6分钟前
0
0
CentOS 7安装和部署Docker

Docker 要求 CentOS 系统的内核版本高于 3.10 ,查看本页面的前提条件来验证你的CentOS 版本是否支持 Docker 。通过 uname -r 命令查看你当前的内核版本 uname -r3.10.0-514.el7.x86_64 1、...

狼王黄师傅
10分钟前
0
0
php扩展可以通过pecl 或者phpize 安装

pecl 算是 php 扩展的一个官方聚合平台,一些比较有名,有特点的扩展会被 pecl 收录,收录后可以通过 pecl 的方式安装。但是更多的扩展是没有收录在 pecl 上的,这些扩展还是需要通过 phpize...

bengozhong
10分钟前
0
0
CentOS中如何安装7ZIP

执行以下命令下载安装: wget http://nchc.dl.sourceforge.net/project/p7zip/p7zip/9.20.1/p7zip_9.20.1_src_all.tar.bz2tar -jxvf p7zip_9.20.1_src_all.tar.bz2cd p7zip_9.20.1make......

凯文加内特
16分钟前
0
0

没有更多内容

加载失败,请刷新页面

加载更多

返回顶部
顶部